{% extends 'admin/base.html.twig'%}

{% block stylesheets %}
    {{ encore_entry_link_tags('admin-orders') }}
{% endblock %}

{% block content %}
{#    <div class="block-title">#}
{#        <p class="title">Страница заказа</p>#}
{#        <p class="subtitle">Данные о заказе клиента</p>#}
{#    </div>#}
    <div class="block-content-wrapper">
        <div class="block-content">
            <div class="card-block">
                <p class="card-block-header">Отчет заказа #{{ order.id }}</p>
                <form action="{{ path('admin_order_report_save') }}" method="post" enctype="multipart/form-data">
                    <input type="hidden" name="orderId" value="{{ order.id }}">
                    <div class="order-report-item">
                        <div class="order-report-item-title">
                            <p>Клиент</p>
                        </div>
                        <div class="order-report-item-content">
                            <p>{{ user.name }} {{ user.surname }}</p>
                        </div>
                    </div>
                    <div class="order-report-item">
                        <div class="order-report-item-title">
                            <p>Статус</p>
                        </div>
                        <div class="order-report-item-content">
                            <select class="selector-order-status" name="status">
                                <option value="waiting">waiting</option>
                                <option value="done">done</option>
                                <option value="canceled">canceled</option>
                            </select>
                        </div>
                    </div>
                    <div class="block-status-canceled">
                        <div class="order-report-item">
                            <div class="order-report-item-title">
                                <p>Комментарий</p>
                            </div>
                            <div class="order-report-item-content">
                                <textarea rows="5" name="comment"></textarea>
                            </div>
                        </div>
                    </div>
                    <div class="block-status-done">
                        <div class="order-report-item">
                            <div class="order-report-item-title">
                                <p>Сумма</p>
                            </div>
                            <div class="order-report-item-content">
                                <input type="text" name="payment"/>
                            </div>
                        </div>
                        <div class="order-report-item">
                            <div class="order-report-item-title">
                                <p>Фото</p>
                            </div>
                            <div class="order-report-item-content">
                                <input type="file" name="photo" id="file" class="input-file">
                                <label for="file" class="btn btn-tertiary js-labelFile">
                                    <i class="icon fa fa-check"></i>
                                    <span class="js-fileName">Загрузить фото</span>
                                </label>
                            </div>
                        </div>
                        <div class="order-report-item">
                            <div class="order-report-item-title">
                                <p>Описание</p>
                            </div>
                            <div class="order-report-item-content">
                                <input type="text" name="alt"/>
                            </div>
                        </div>
                    </div>
                    <input type="submit" class="btn-save-order-report" data-order-id="{{ order.id }}" value="Сохранить">
                </form>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('admin-orders') }}
{% endblock %}